Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::generate_n_fn Struct Reference
Algorithms

## Public Member Functions
template<typename O , typename F >
auto | operator() (O begin, iter_difference_t< O > n, F fun) const -> generate_n_result< O, F > requires invocable< F & > &&output_iterator< O, invoke_result_t< F & >>